2026-05-26  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  2.36.4

2026-04-22  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Add codegen/generate_from_gir.sh

  * atk/src/atk.defs: Read atk_vfuncs.defs before atk_signals.defs.
  * atk/src/atk_enums.defs.girpatch:
  * atk/src/atk_signals.defs.girpatch:
  * atk/src/atk_vfuncs.defs.girpatch: New patch files.
  * codegen/Makefile.am: Distribute generate_from_gir.sh.
  * codegen/generate_from_gir.sh: New script. Generates all defs files
  from GIR files.

2026-01-21  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Meson build: Don't require the 'dot' command

  Make it possible to build documentation without the dot command.
  Set the HAVE_DOT option in Doxyfile during configuration.
  In Autotools builds it's still unconditionally YES.
  The inheritance diagrams don't look as nice without the dot
  command from the GraphViz package.

2026-01-14  Chun-wei Fan  <fanc999@yahoo.com.tw>

  NMake Makefiles: Update .m4 installation

  Copy the .m4 files to $(PREFIX)\lib\atkmm-2.36\proc\m4, as done everywhere else

2026-01-08  Chun-wei Fan  <fanc999@yahoo.com.tw>

  Visual Studio builds: Update build info

  Update the information here to reflect the updates that are done here, so that
  people are aware of the new options that are available to them, and also
  mention that they do not have to include 'm4' in the %PATH% but instead can
  use M4 (or UNIX_TOOLS_BINDIR) to point to a 'm4' installation, which is
  recommended to be part of Cygwin or MSYS2/MSYS64.

2026-01-07  Chun-wei Fan  <fanc999@yahoo.com.tw>

  NMake Makefiles: Make build process more robust

  In order to generate the object/executable lists for our build, we generate a
  temporary makefile snippet and include it immediately to carry out the build,
  but this poses an issue when a different toolchain carry out the build using
  NMake when a build is ongoing.
  
  This makes the snippet use the toolset version, config and target arch for the
  build which should greatly improve the situation without adding much complexity

2026-01-07  Chun-wei Fan  <fanc999@yahoo.com.tw>

  NMake Makefiles: Consolidate items and improve flexibility

  This attempts to clean up the NMake Makefiles by consolidating the items that
  are repetitive, and make finding dependencies more flexible, by allowing one
  to specify <dep>_INCLUDEDIR and <dep>_LIBDIR for each dependency, along with a
  BASE_INCLUDEDIR and BASE_LIBDIR for those who wish to encompass dependencies
  grouped in a single directory hierarchy and specify the <dep>_[INCLUDE|LIB]DIR
  as needed.
  
  Also make GMMPROC_DIR default to $(GLIBMM_LIBDIR)\glibmm-x.y\proc, and try to
  deduce the full path the m4.exe, so that we can include that path at run time
  so that one may not need to make m4.exe in their %PATH%.
  
  For builds from GIT checkouts, ensure that atkmmconfig.h and atkmm.rc are
  indeed generated.
  
  Also standardize on using the /GL and /LTCG compiler and linker flags for
  better optimization.

2026-01-07  Chun-wei Fan  <fanc999@yahoo.com.tw>

  README.win32.md: Mention Visual Studio 2026

  Also apply some formatting/cosmetic changes here.

2026-01-07  Chun-wei Fan  <fanc999@yahoo.com.tw>

  NMake Makefiles: Make Visual Studio 2026 builds distinct

  ...from Visual Studio 2022 builds, by appending the appropriate toolset version
  ('vc145').
  
  Also drop some cruft as we really need Visual Studio 2017 or later.

2026-01-07  Chun-wei Fan  <fanc999@yahoo.com.tw>

  meson.build: Make Visual Studio 2026 builds distinct

  ...from Visual Studio 2022 builds, by appending the appropriate toolset version
  ('vc145').

2025-09-20  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Meson build: Use SPDX expression for license

  This is the recommended format.
  See https://gitlab.freedesktop.org/cairo/cairomm/-/merge_requests/33

2025-09-20  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Meson build: Use the Python installation that Meson uses

  See glibmm!67

2025-04-25  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Update subprojects/atk.wrap, pointing at at-spi2-core

  GNOME/atk moved to GNOME/at-spi2-core about 3 years ago. atk.wrap should
  have been updated at that time.

2025-04-12  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  generate_extra_defs_atk.cc: Change license, Lesser GPL 2.1 -> GPL 2

  * codegen/extradefs/generate_extra_defs_atk.cc: The license shall be
  the GNU General Public License, version 2, as said in COPYING.tools.

2025-04-11  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Remove obsolete FSF (Free Software Foundation) address

2025-02-14  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Meson build: Add install_tag keyword argument, require meson >= 0.60

2025-02-06  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  CI: Publish the generated atkmm-2.36.tag file

  and use libsigc++'s and glibmm's published tag files.
  The *-doc modules don't install the tag files.

2025-01-22  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  CI: Update for the new release-service component

  * citemplates/release-service is necessary when making a release.
    See https://handbook.gnome.org/maintainers/making-a-release.html
  * Don't install libsigc++-3.0-doc and libglibmm-2.68-doc.
    They make no difference. They don't install Doxygen's tag files.

2025-01-22  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Meson: Require meson version >= 0.58

  This is possible when meson version >= 0.58:
  * Remove the can_add_dist_script variable.
  * dependency().get_variable(pkgconfig: 'varname', internal: 'varname') ->
    dependency().get_variable('varname').

2024-12-17  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Replace gtkmm.org by gtkmm.gnome.org

2024-12-17  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  doc/reference/Doxyfile.in: Remove unsupported entries

2024-07-03  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Don't link to removed parts of gnome.org

  Don't link to library.gnome.org or developer.gnome.org.
  Require python3 >= 3.7. That's what Meson requires.

2024-06-11  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  CI: meson install -> meson install --quiet

2024-06-11  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  doc/reference/Doxyfile.in: Remove obsolete entries

2024-01-27  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  2.36.3

2024-01-15  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  meson.build: Update htmlrefpub

2023-12-11  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  meson.build: Don't fail if warning_level=everything

2023-07-11  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Update atkmm.doap

2023-07-11  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Remove AUTHORS and add general information to README.md

  See gtkmm#140

2023-07-11  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Doxyfile.in: Remove obsolete entries

2023-06-28  Chun-wei Fan  <fanchunwei@src.gnome.org>

  Win32: Add build documentation

  Surprisingly, there wasn't a build documentation for Windows builds, so let's
  add one.

2023-04-28  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  atk/atkmm.h: Update link to ATK

2023-04-28  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  atkmm.pc.in: Update htmlrefpub

2023-04-28  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  README.md, CI: meson -> meson setup

2023-02-06  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  CI: Install glibmm and sigc++ documentation

  Will make atkmm's inheritance diagrams complete.

2023-02-06  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  meson.build: Simplify if-file-exists test

2023-01-04  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  CI: Install all dependencies with apt

  Ubuntu 22.10 contains libsigc++-3.0-dev and libglibmm-2.68-dev.

2023-01-04  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  meson.build: Simplify lookup of python command

  See libsigcplusplus PR#83

2023-01-04  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  meson.build: Fix the evaluation of is_git_build on Windows

  See gtkmm#131

2023-01-04  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Meson build: Don't copy files with configure_file()

  It's deprecated from Meson 0.64. The replacement, fs.copyfile(),
  is not useful here. It only copies from the source directory to
  the build directory.

2022-09-27  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  meson.build: Detect if we build from a git subtree

  See gtkmm!72 (William Roy)

2022-07-20  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  2.36.2

2022-07-20  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  README.md: Add another link to jhbuild

2022-07-07  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  codegen/generate_defs_and_docs.sh: Atk has moved to at-spi2-core

  Atk has been merged with at-spi2-core. Read atk files from there.

2022-05-24  Chun-wei Fan  <fanchunwei@src.gnome.org>

  Meson: Re-organize warnings-related compiler flags for MSVC

  Add a short description for each of the warning-related compiler flags that are
  used globally, and only apply '/wd4267' for 64-bit builds, since that flag is
  really only applicable when building for 64-bit.

2022-05-16  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Require atk >= 2.33.3

  Atkmm has required atk >= 2.33.3 since atkmm 2.36.0, but it has not been
  properly specified in configure.ac and meson.build.

2022-05-15  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  meson.build: Avoid configuration warnings

2022-05-10  Doomsdayrs  <doomsdayrs@gmail.com>

  Convert README to MD

2022-03-18  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  CI: Use artifacts to transfer data between stages, part 2

2022-03-16  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  CI: Use artifacts to transfer data between stages

2022-02-27  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  CI: Select latest released version of libsigc++3

2022-02-27  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  meson.build: Check if Perl is required for building documentation

  New versions of mm-common use the Python scripts doc_postprocess.py
  and doc_install.py instead of the Perl scripts doc-postprocess.pl and
  doc-install.pl when documentation is built.

2022-02-12  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  meson.build: import('python').find_installation() with argument

  Let import('python').find_installation() always find the python
  installation used to run Meson.

2022-02-06  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  meson.build: Don't use deprecated python3.path()

2022-02-05  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  CI: Don't build everything with warnings=fatal

  Build only atkmm with warnings=fatal.
  Select latest released version of glibmm.

2022-02-05  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  meson.build: Specify 'check' option in run_command()

  The default value will be changed in future Meson releases.

2021-12-22  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  atkmm.h: This version of atkmm is not used by gtkmm

2021-11-10  Chun-wei Fan  <fanchunwei@src.gnome.org>

  build: Support Visual Studio 2022

  Make these builds distinct from the VS2019 builds.

2021-08-25  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  CI: Add .gitlab-ci.yml

2021-08-25  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Update atk_docs_override.xml

2021-05-21  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  2.36.1

2021-05-18  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Add dependencies to Doxygen tag files in subprojects

  Doxygen in a main project shall not be called before tag files have been
  created or updated in subprojects.

2021-05-14  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Fix build as subproject without building documentation

  * meson.build: If mm-common-get is not found in maintainer-mode
  with 'required: false', try with 'required: true'.
  Don't try to use tag_file, if documentation is not built.
  * doc/reference/meson.build: Don't use variables from modules
  that don't define doxytagfile. These are subprojects that don't build
  their documentation.

2021-05-11  Chun-wei Fan  <fanchunwei@src.gnome.org>

  Visual Studio builds: Clean up build files

  glibmm will be updated to be clear of classes that export items making the
  built binaries dependent on the exact compiler version and the STL version,
  which will eliminate the need to ignore warnings C4251 and C4275.
  
  We will also use the /EHsc compiler flag so that we can also drop the
  ignore on warning C4530.

2021-05-05  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Subprojects can use meson.add_dist_script() if meson.version() >= 0.58.0

  Call add_dist_script() in a subproject, if meson.version() >= 0.58.0.

2021-04-08  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Meson build: No implicit_include_directories

2021-03-26  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Meson build: No implicit_include_directories

  It shall not be possible to find a atkmm header file
  with #include <xxx.h> instead of #include <atkmm/xxx.h>.
  Not fully fixed until https://github.com/mesonbuild/meson/issues/8562
  has been fixed.

2021-03-16  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Meson build: Make it possible to use atkmm as a subproject

  atk and glibmm can be subprojects of atkmm.

2021-03-09  Chun-wei Fan  <fanchunwei@src.gnome.org>

  atkmmconfig.h.*: Don't dllimport on MinGW

  This will fix warnings when building items using atkmm with MinGW/GCC.
  
  Please see: https://gitlab.gnome.org/GNOME/gtkmm/-/issues/90

2021-02-25  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  doc/reference/Doxyfile.in: Remove obsolete entries

2021-02-25  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Meson build: Use relative paths to untracked/

  The paths to the source code in untracked/ shall be relative to the
  meson.build file, when library files are built from a tarball.
  With absolute paths Meson may generate too long file names.
  See merge request gtkmm!61

2020-12-19  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  2.36.0

2020-12-19  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Regenerate docs.xml and .defs files

2020-12-11  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Change ABI to atkmm-2.36; Use glibmm-2.68 instead of glibmm-2.66

  So we can use the 2.30-2.34 version numbers for stable releases in
  the atkmm-1.6 ABI series.
  
  We've done similar ABI name changes before.

2020-11-01  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Fix some comments

  * atk/src/editabletext.hg: Improve the description of the relation
  between Text and EditableText.
  * atk/src/relation.ccg: Remove an obsolete TODO comment.

2020-10-01  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Meson build: Fix versioning on macOS

  See libsigcplusplus, pull request 65

2020-07-23  Chun-wei Fan  <fanchunwei@src.gnome.org>

  NMake Makefiles: Use Meson-style DLL and .lib naming if requested

  To make things more consistent and less prone to confusion, if 'USE_MESON_LIBS'
  is specified in the NMake command line, build the DLLs and .lib's that are
  named like the Meson counterparts.  Binaries built with Meson+Visual Studio
  and the ones that are built via NMake using 'USE_MESON_LIBS' are
  interchangeable, provided that they are built with the same Visual Studio
  version.

2020-07-22  Chun-wei Fan  <fanchunwei@src.gnome.org>

  NMake Makefiles: Fix builds from release tarballs

  This will avoid re-generating atkmm.rc and atkmmconfig.h unneedingly, and
  ensure that we do have the version info in those files when we do need to
  generate them.
  
  Also streamline the process so that these files are generated as part of the
  'all' target, so there is no need to run the 'prep-git-build' target explicitly

2020-07-08  Chun-wei Fan  <fanchunwei@src.gnome.org>

  NMake Makefiles: Support ARM64 Windows builds

  This will make the NMake Makefiles capable of building ARM64 binaries of atkmm,
  which can be used on Windows 10 on ARM systems.

2020-06-30  Chun-wei Fan  <fanchunwei@src.gnome.org>

  NMake Makefiles: Apply toolset version for Meson-built deps

  As the Meson build files for Visual Studio apply the toolset version in the
  .lib filenames by default, apply the toolset version in the Meson-built -mm
  .lib files that we link in, just as we did when we we link in the -mm .lib
  files that was built with NMake, by default.
  
  The option 'USE_COMPAT_LIBS' will also mean that we will use the former
  behavior when we link in the Meson-built -mm .lib's, just as we did when we
  link in the NMake-built -mm .lib's.
  
  Also fix the case also when the 'USE_COMPAT_LIBS' option is used and when
  'USE_MESON_LIBS' is not used on Visual Studio 2017, where the toolset version
  was not correctly applied.

2020-06-29  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  doc/reference/: Update for Doxygen >= 1.8.16

  * doc/reference/meson.build: Doxygen 1.8.16 and later does not store
  tag file names in the html files. This requires changes in meson.build
  and in doc-install.pl (in mm-common). Otherwise references to other modules
  won't be updated in the html files when they are installed.
  * doc/reference/Doxyfile.in: Remove PERL_PATH and MSCGEN_PATH.
  Doxygen since version 1.8.0 does not use them.

2020-06-29  Chun-wei Fan  <fanchunwei@src.gnome.org>

  Meson/Visual Studio builds: Include toolset version by default

  This makes the built DLL and .lib's contain the toolset version if the build is
  carried out using Visual Studio 2017 or later, unless the
  'msvc14x-parallel-installable' option is set to be false during configuration.
  
  The reasoning behind this change is that there can be subtle problems when, for
  instance, one tries to link to a Visual Studio 2017-built atkmm when building
  items dependening on atkmm with Visual Studio 2019.  This is unfortunate as
  Microsoft did try hard to make interoperating between binaries built with
  Visual Studio 2015, 2017 and 2019 as easy as possible in terms of ABI and API,
  but unfortunately this can hit the corner cases where this compatibility does
  not work.
  
  As the name suggests, this attempts to make Visual Studio 2017 and 2019
  builds share a single set of underlying C DLLs easier, while avoiding breakages
  caused by such subtle differences.

2020-06-29  Chun-wei Fan  <fanchunwei@src.gnome.org>

  Meson: Use pkg-config to find glibmm for all builds

  Stop manually looking for glibmm for better consistency, as:
  
  -Items that depended on glibmm which added Meson build support after glibmm,
   such as gtkmm and libxml++ also required glibmm to be found via pkg-config
   files, and they still had NMake Makefile support for Visual Studio builds.
  -There could be corner cases on the glibmm libraries that atkmm links to in
   terms of ABI compatibility between Visual Studio 2017 and 2019.

2020-06-16  Chun-wei Fan  <fanchunwei@src.gnome.org>

  NMake Makefiles: Fix header 'installation'

  For Meson-generated source tarballs, we need to look in $(srcroot)/untracked
  for the header files as well.

2020-06-16  Chun-wei Fan  <fanchunwei@src.gnome.org>

  NMake Makefiles: Use toolset version in DLL/.lib naming

  Instead of using the Visual Studio version ('vc150' for Visual Studio 2017),
  use the toolset version ('vc141' for Visual Studio 2017 and 'vc142' for Visual
  Studio 2019, as defined by Microsoft) so that we are more in-line with what
  is now done in the atkmm-2-28 branch.
  
  If using the old naming convention is desired, an NMake command line option
  'USE_COMPAT_LIBS' have been added-note that this will require glibmm and
  libsigc++ to be built with that option enabled.

2020-04-17  Chun-wei Fan  <fanchunwei@src.gnome.org>

  NMake Makefiles: Support building from Meson-generated tarballs

  This adds rules to the NMake Makefiles so that they will also look for the sources in
  untracked/.  One still need to use the 'prep-git-build' target to generate the full
  atkmmconfig.h and atkmm.rc source files for such release tarballs, if PERL is present,
  or manually edit those files from their .in templates to their full counterparts.

2020-04-17  Chun-wei Fan  <fanchunwei@src.gnome.org>

  meson: Use /utf-8 for Visual Studio builds

  We check for its presence and use it if there, which is always the case since we need
  Visual Studio 2017 15.7.x or later.  This avoids warning (error) C4819 being  triggered
  when attempting to build atkmm on East Asian locales of Windows.

2020-04-15  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Add support for building atkmm with Meson

  atkmm can be built with either Autotools or Meson.
  New files have been copied from pangomm and modified.
  
  See MR !7

2020-04-13  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  atk/atkmm.pc.in: Add atkmmconfig.h's install directory

  Add -I${libdir}/@ATKMM_MODULE_NAME@/include to the C flags, so other modules
  can include header files that include atkmmconfig.h.

2020-04-05  Chun-wei Fan  <fanchunwei@src.gnome.org>

  NMake Makefiles: Fix m4 file installation

  It should be in $(sharedir)/atkmm-x.y/proc/m4, not
  $(sharedir)/atkmm-x.y/proc.

2020-04-01  Chun-wei Fan  <fanchunwei@src.gnome.org>

  Drop gendef from the sources

  We are now using compiler directives to export atkmm symbols for all
  builds, so it's time to drop the venerable gendef fmro the sources.

2020-04-01  Chun-wei Fan  <fanchunwei@src.gnome.org>

  NMake Makefiles: Stop building and using gendef

  We can now use compiler directives to export symbols from atkmm by
  defining ATKMM_API as __declspec(dllexport) via defing ATKMM_BUILD, so
  we no longer need to use gendef.exe to export the symbols.
  
  The next commit will remove gendef from the atkmm sources.

2020-04-01  Chun-wei Fan  <fanchunwei@src.gnome.org>

  atk/atkmm/*.h: Mark methods with ATKMM_API

  This way, we can export symbols in atkmm using compiler directives
  rather than using gendef.exe.

2020-04-01  Chun-wei Fan  <fanchunwei@src.gnome.org>

  atk/src/*.hg: Mark classes with ATKMM_API

  This way, we can export the symbols in atkmm with compiler directives
  instead of using gendef.

2020-04-01  Chun-wei Fan  <fanchunwei@src.gnome.org>

  atk/atkmmconfig.h.in: Re-organize ATKMM_API definition

  We also activate ATKMM_DLL when we are building with Visual Studio, and
  define ATKMM_API as __declspec(dllexport) when ATKMM_DLL and ATKMM_BUILD
  are defined.

2020-04-01  Chun-wei Fan  <fanchunwei@src.gnome.org>

  NMake Makefiles: Use 'md', not 'mkdir'

  This avoids confusion with the unixy ones supplied by Cygwin or MSYS64,
  since we could be using tools from there to enable building from GIT
  checkouts.

2020-04-01  Chun-wei Fan  <fanchunwei@src.gnome.org>

  NMake Makefiles: Fix header "installation"

  We may have the (generated) headers in $(Outdir)\atkmm, so make sure we
  look for the headers from there as well.

2020-04-01  Chun-wei Fan  <fanchunwei@src.gnome.org>

  NMake Makefiles: "Install" files in codegen/m4

  This way, we could have the *.m4 files in place so that we can use them
  to build gtkmm directly from a GIT checkout.

2020-04-01  Chun-wei Fan  <fanchunwei@src.gnome.org>

  NMake Makefiles: Add rules to generate sources

  This allows one to be able to build directly from a GIT checkout, after
  first running the prep-git-build target, by running gmmproc from an
  installation of glibmm master.
  
  Note that in order to perform such a build, one will need *nix/GNU tools
  such as common *nix commands 'cp' and 'rm' etc, along with PERL (with
  XML::Parser) and the GNU m4 tool.

2020-04-01  Chun-wei Fan  <fanchunwei@src.gnome.org>

  NMake Makefiles: Allow linking to Meson-built glibmm

  The option USE_MESON_LIBS now applies to linking to Meson-built glibmm,
  since it is now buildable with Meson.

2020-04-01  Chun-wei Fan  <fanchunwei@src.gnome.org>

  NMake Makefiles: Disable warnings C4251 and C4275

  Since we are building against GLib that use __declspec(dllimport) to
  import symbols, we can safely ignore warnings C4251 and C4275, as they
  are harmless in this case as we are certain that we are really using
  those compiler directives.

2020-04-01  Chun-wei Fan  <fanchunwei@src.gnome.org>

  NMake Makefiles: Fix build instruction display

  Some '<' and '>' need to be carat-escaped...

2020-03-17  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Use glibmm-2.66 instead of glibmm-2.64

  We have changed the ABI name in glibmm.

2020-02-27  Chun-wei Fan  <fanchunwei@src.gnome.org>

  NMake Makefiles: Add rules to generate pre-configure items

  This will allow building from GIT checkouts easier, where we need the
  full atkmmconfig.h and atkmm.rc to carry out our builds with NMake.

2020-02-07  Chun-wei Fan  <fanchunwei@src.gnome.org>

  NMake Makefiles: Bump glibmm version

  glibmm master is now versioned at 2.64, so update this accordingly

2020-02-07  Chun-wei Fan  <fanchunwei@src.gnome.org>

  NMake Makefiles: Add option to use Meson-built libsigc++

  This makes it easier for people to build and link against Meson-built
  libsigc++-3.x, by providing an NMake command line option.

2020-02-07  Chun-wei Fan  <fanchunwei@src.gnome.org>

  NMake Makefiles: Use /utf-8

  This avoids error C4819 due to unicode handling issues in the compiler,
  which is often raised when attempting to build in East-Asian locales
  (Chinese, Japanese and Korean).  Since Visual Studio 2017 is required to
  build the C++17/master branch of atkmm, this is enabled for all builds.

2020-02-07  Chun-wei Fan  <fanchunwei@src.gnome.org>

  NMake Makefiles: Split outdir and intdir by toolset version

  This makes things a bit cleaner so that we reduce the likelyhood of
  building and linking against objects and libraries with different CRT
  versions, which is a source of trouble.

2019-09-18  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Use glibmm-2.64 instead of glibmm-2.62

  We have changed the ABI name in glibmm.

2019-07-23  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Hyperlink, Object: Remove deprecated properties

  * atk/src/hyperlink.hg: Remove property_selected_link().
  * atk/src/object.hg: Remove 6 deprecated properties.

2019-07-23  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Object, Text, Value: Add some API

  * atk/src/object.hg: Add get_object_locale(), get/set_accessible_id(),
  property_accessible_table_caption_object() and
  property_accessible_hypertext_nlinks().
  * atk/src/text.hg: Add signal_text_insert() and signal_text_remove().
  * atk/src/value.hg: Add signal_value_changed().

2019-07-23  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Regenerate atk_docs.xml and .defs files

2019-03-21  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Doxyfile.in: Remove obsolete glibmm configuration constants

  They have been removed from glibmm. See issue glibmm#22.

2019-03-19  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Use glibmm-2.62 instead of glibmm-2.60

  We have changed the ABI name in glibmm.

2018-12-30  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  codegen/generate_defs_and_docs.sh: Update for non-source-dir builds

  Most modules (e.g. atk) can be built in a directory separated from the
  source directory. Update the script that generates .defs and doc.xml files
  to handle that.
  The environment variables GMMPROC_GEN_SOURCE_DIR and GMMPROC_GEN_BUILD_DIR
  are read. See comments in init_generate.sh.

2018-11-04  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  2.29.1

2018-11-04  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Change the ABI to atkmm-2.30

  So we can use the 2.28 version numbers for stable releases in the
  atkmm-1.6 ABI series.
  We don't need to release a stable ABI-parallel atkmm until
  we need to release gtkmm 4.0, and that won't happen until GTK+ 4.0.0
  happens, and we don't know when that might be.
  
  We've done similar ABI name changes before.

2018-11-01  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Object: Fix the type of property_accessible_role()

  It has been changed in atk.

2018-11-01  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Regenerate .defs and docs.xml files

  and update atk_docs_override.xml.

2018-11-01  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Use glibmm-2.60 instead of glibmm-2.58

  We have changed the ABI name in glibmm.

2018-10-25  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  configure.ac, atkmm.doap: Update bug report address

2018-09-11  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  doc/reference/Doxyfile.in: Use doxygen-extra.css

2018-09-10  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Update .gitignore

2018-09-10  Chun-wei Fan  <fanchunwei@src.gnome.org>

  Fix reference documentation generation

  * atk/atkmm/filelist.gmake.am:
  * atk/atkmm/Makefile.am: Split out again the automake-specific part
  which we splitted out from atk/atkmm/filelist.am previously into a
  file of its own.
  * doc/Makefile.am: Include atk/atkmm/filelist.gmake.am so that we
  get a complete set of documentation generated.

2018-08-27  Chun-wei Fan  <fanchunwei@src.gnome.org>

  build: Remove the Visual Studio 2017 projects

  Since the NMake Makefiles are in place, remove the Visual Studio
  projects as they have been superseded.

2018-08-27  Chun-wei Fan  <fanchunwei@src.gnome.org>

  build: Add NMake Makefiles for Visual Studio builds

  This adds the NMake Makefiles to be used to build atkmm using Visual
  Studio 2017 or later, which will supersede the Visual Studio 2017
  projects.  This is done to simplify future maintenance, by making use
  of the atk/src/filelist.am and atk/atkmm/filelist.am, which is shared
  with the autotools build system.

2018-08-22  Chun-wei Fan  <fanchunwei@src.gnome.org>

  build: Split out GNU-specific syntax from atk/atkmm/filelist.am

  This will make atk/atkmm/filelist.am usable for Visual Studio NMake as
  well.

2018-08-22  Chun-wei Fan  <fanchunwei@src.gnome.org>

  build: Rename MSVC_Net2017 to MSVC_NMake

  This is to prepare for the transition of the Visual Studio build files
  to NMake Makefilesm to ease future maintenance.

2018-04-08  Murray Cumming  <murrayc@murrayc.com>

  Require C++17

  Because libsigc++-3.0 (and therefore glibmm) now requires C++17.

2018-03-26  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Use glibmm-2.58 instead of glibmm-2.56

  We have changed the ABI name in glibmm.

2018-02-22  Murray Cumming  <murrayc@murrayc.com>

  2.27.1

2018-02-22  Murray Cumming  <murrayc@murrayc.com>

  Change ABI to atkmm-2.28

  Instead of atkmm-2.26. To match the most recent ATK+ version.

2017-09-14  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Object, Text: Add detail_name to some _WRAP_SIGNAL()s

  * atk/src/object.hg: signal_children_changed() accepts an "add" or "remove"
  detail. signal_property_changed() accepts a property_name parameter.
  signal_state_change() accepts a state_name parameter.
  * atk/src/text.hg: signal_text_changed() accepts an "insert" or "delete"
  detail.

2017-09-14  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Regenerate atk_signals.defs and atk_signals.defs.patch

2017-09-14  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Update codegen/generate_defs_and_docs.sh

2017-09-04  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Update .gitignore

2017-09-04  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Regenerate atk_docs.xml and the .defs files

  and add some substitute_enumerator_name elements to atk_docs_override.xml.

2017-09-04  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  generate_defs_and_docs.sh: Update for atk built with meson

  When atk is built with meson instead of autotools, generated .h and .c
  files are stored in atk/build/atk. Files in that directory shall be read
  when atk_docs.xml and the .defs files are generated.
  
  atk_signals.defs contain manually changed lines. Add a .defs.patch file
  that automatically makes these changes when atk_signals.defs is regenerated.

2017-08-25  Murray Cumming  <murrayc@murrayc.com>

  2.25.4

2017-08-25  Murray Cumming  <murrayc@murrayc.com>

  Use glibmm-2.56 instead of glibmm-2.54.

  We have changed the ABI name in glibmm.

2017-06-26  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Text: Plug memory leaks in get_text_vfunc() and get_selection_vfunc()

  These vfuncs shall delete the returned character array after it has been
  copied to a Glib::ustring. Bug 783360

2017-04-26  Murray Cumming  <murrayc@murrayc.com>

  2.53.3

2017-04-26  Murray Cumming  <murrayc@murrayc.com>

  Text: Move enums into the class.

2017-04-26  Murray Cumming  <murrayc@murrayc.com>

  Relation: Change RelationType to Relation::Type.

2017-04-11  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

  Fix build when _WRAP_ENUM generates enum class

  Bug 86864

2017-04-07  Chun-wei Fan  <fanchunwei@src.gnome.org>

  Visual Studio builds: Update glibmm ABI version

